ClearOS Bug Tracker


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013821ClearOSapp-samba-common - Samba Commonpublic2017-03-15 14:162017-09-21 08:28
Reporterdloper 
Assigned Topbaldwin 
PrioritynormalSeveritytweakReproducibilitysometimes
StatusclosedResolutionno change required 
PlatformOSOS Version
Product Version7.3.1 
Target Version7.4.0 Beta 1Fixed in Version7.4.0 Beta 1 
Summary0013821: winbindd_privileged/pipe has wrong permissions
DescriptionThe file /var/lib/samba/winbindd_privileged/pipe gets written when winbind.service starts with the root:root ownership instead of root:wbpriv. Setting the following fixes the issue:

chmod g+s /var/lib/samba/winbindd_privileged && service winbind restart
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0005311)
pbaldwin (administrator)
2017-04-10 10:02

That would be a divergence from upstream. It looks like the security privileges are set at the directory level:

# ls -ald /var/lib/samba/winbindd_privileged/
drwxr-x--- 2 root wbpriv 18 Apr 10 11:45 /var/lib/samba/winbindd_privileged/

While the pipe file is world read/write/execute:

# ls -al /var/lib/samba/winbindd_privileged/pipe
srwxrwxrwx 1 root root 0 Apr 10 12:00 /var/lib/samba/winbindd_privileged/pipe

Any user account that needs read access to the pipe should be added to the wbpriv group.
(0006561)
pbaldwin (administrator)
2017-09-21 08:27

Please re-open if there's a problem. A ClearOS box should have squid in the wbpriv group:

# getent group wbpriv
wbpriv:x:88:squid,radiusd

- Issue History
Date Modified Username Field Change
2017-03-15 14:16 dloper New Issue
2017-04-10 09:08 pbaldwin Status new => acknowledged
2017-04-10 10:02 pbaldwin Note Added: 0005311
2017-04-10 10:03 pbaldwin Status acknowledged => feedback
2017-08-11 12:52 dloper Target Version 7.3.1 Updates => 7.4.0 Updates
2017-09-21 08:27 pbaldwin Note Added: 0006561
2017-09-21 08:27 pbaldwin Status feedback => resolved
2017-09-21 08:27 pbaldwin Resolution open => no change required
2017-09-21 08:27 pbaldwin Assigned To => pbaldwin
2017-09-21 08:27 pbaldwin Fixed in Version => 7.4.0 Beta 1
2017-09-21 08:27 pbaldwin Target Version 7.4.0 Updates => 7.4.0 Beta 1
2017-09-21 08:28 pbaldwin Status resolved => closed